Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# EC_ProxyConsumer.cpp File Reference

`#include "EC_ProxyConsumer.h"`
`#include "EC_Event_Channel_Base.h"`
`#include "EC_Supplier_Filter.h"`
`#include "EC_Supplier_Filter_Builder.h"`
`#include "ace/Reverse_Lock_T.h"`
`#include "EC_ProxyConsumer.i"`

Include dependency graph for EC_ProxyConsumer.cpp:

## Typedefs

typedef ACE_Reverse_Lock< ACE_Lock > | TAO_EC_Unlock

## Functions

const char * | get_rcsid_Event_EC_ProxyConsumer (const char *)

## Variables

const char * | rcsid_Event_EC_ProxyConsumer = get_rcsid_Event_EC_ProxyConsumer ( rcsid_Event_EC_ProxyConsumer )

## Typedef Documentation

typedef ACE_Reverse_Lock<ACE_Lock> TAO_EC_Unlock

## Function Documentation

const char* get_rcsid_Event_EC_ProxyConsumer | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_Event_EC_ProxyConsumer = get_rcsid_Event_EC_ProxyConsumer ( rcsid_Event_EC_ProxyConsumer )`[static]`